#!/usr/bin/python
# -*- coding: iso-8859-1 -*-
#xsetaseta@gmail.com
#https://seta430.000webhostapp.com/
#version para sensores 18b20


import matplotlib
matplotlib.use('agg')
import matplotlib.pyplot as plt


import numpy as np   

import time
from random import randrange


listaTemp=[]
listaHume=[]
listaPres=[]
listaHora=[]



#nombreFichero="Temp19_05_09.cvs"
nombreFichero="/home/seta/www/webcam/"+"Temp"+ time.strftime("%y_%m_%d")+".cvs"
print "Abriendo "+ nombreFichero
DatosT=[]
DatosH=[]
DatosP=[]

for horax in range(0,24):
	for minutox in range(0,60):
		DatosT.append("-")
		DatosH.append("-")
		DatosP.append("-")
		
try:
	f = open(nombreFichero,'r')
except IOError:
	print "ERROR fichero", nombreFichero
	sys.exit()
	
linea="-"
while linea!="":
	linea=f.readline()
	xlinea=linea.split(",")
	if len(xlinea)>4:
		horax=int(xlinea[0])
		minutox=int(xlinea[1])
		x=horax*60+minutox
		try:
			DatosT[x]=float(xlinea[2])
		except ValueError:
			DatosT[x]="-"
		DatosH[x]=int(xlinea[3])
		DatosP[x]=int(xlinea[4])
f.close()
print "Cerrando "+ nombreFichero
print (time.strftime("%m_%d"))


#f = open("gratem.txt",'a')
#f.write('OK->Programa GRAFI gratem.py '+time.strftime("%H:%M:%S")+'\n')
#f.close()


ultimoT=0
ultimoH=50
ultimoP=920
listaTemp.append(ultimoT)
listaHume.append(ultimoH)
listaPres.append(ultimoP)


for horax in range(0,24):
	for minutox in range(0,60,6):
		x=horax*60+minutox
#		print horax,minutox,DatosT[x]
		if DatosT[x]!="-":
			ultimoT=float(DatosT[x])
			ultimoH=DatosH[x]
			ultimoP=DatosP[x]
			listaTemp.append(float(DatosT[x]))
			listaHume.append(DatosH[x])
			listaPres.append(DatosP[x])

		else:
			listaTemp.append(ultimoT)
			listaHume.append(ultimoH)
			listaPres.append(ultimoP)

#_______________TEMPERATURA_______________________________
#Temperatura

fig = plt.figure()                                                               
ax = fig.add_subplot(1,1,1)
major_ticks = np.arange(0, 240, 30)                                              
ax.set_xticks(major_ticks)
ax.grid(which='major', alpha=1) 


my_dpi=75

plt.xlabel("Temperatura DIA "+ time.strftime("%d_%m_20%y"))
plt.plot(listaTemp,color='red')
plt.xlim(0,240)
plt.ion()
#plt.show()
nombreFicherox="gra2.png"
plt.savefig(nombreFicherox,dpi=my_dpi)



#_______________HUMEDAD - PRESION_______________________________

fig, (ax1, ax2) = plt.subplots(2, sharex=True,)

plt.xlim(0,240)
ax1.plot(listaHume,color='blue')
ax1.set(ylabel='Humedad %')

plt.xlim(0,240)
ax2.plot(listaPres,color='green')
plt.setp(ax2.get_xticklabels(), fontsize=9)

major_ticks = np.arange(0, 240, 30)                                              
ax2.set_xticks(major_ticks)

ax2.set(ylabel='Bares')
plt.xlabel("HORA "+time.strftime("%H:%M"))

nombreFicherox="gra1.png"
plt.savefig(nombreFicherox,dpi=my_dpi)

